1. Files
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • Order
    • NFC
  1. Files

Get a file by ID

GET
/accounts/{accountId}/files/{fileId}
Fetch detailed information for a specific file based on the file ID.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Successfully retrieved file details
Body

🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/accounts//files/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "file": {
        "id": "987e6543-e21a-11d4-a789-0242ac120002",
        "name": "example.pdf",
        "size": 1024,
        "createdAt": "2024-07-01T09:26:55.737Z"
    }
}
Modified at 2026-04-02 11:43:40
Previous
Upload a file
Next
Get all statuses
Built with